import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:functions/src/core/providers/functions_remote_datasource_provider.dart';
import 'package:functions/src/core/data/repositories/functions_repository_impl.dart';
import 'package:functions/src/core/domain/repositories/functions_repository.dart';

final functionsRepositoryProvider = Provider<FunctionsRepository>((ref) {
  final remote = ref.read(functionsRemoteDatasourceProvider);
  return FunctionsRepositoryImpl(remote);
});
